using System;

namespace SeaTracePredictor
{
	/// <summary>
	/// 
	/// </summary>
	public class PositionPredictorPoint
	{
		private int id;
		private int region;
		private char label;
		private double longitude;
		private double latitude;
		private double bearing;

		public PositionPredictorPoint(int IDValue, double longitudeValue, double latitudeValue, int regionValue)
		{
			this.id = IDValue;
			this.longitude = longitudeValue;
			this.latitude = latitudeValue;
			this.region = regionValue;
			this.label = 'x';
		}

		//point identificator
		public int ID
		{
			get
			{
				return this.id;
			}
			set
			{
				this.id = value;
			}
		}

		//region id - each point belongs to region
		public int Region
		{
			get
			{
				return region;
			}
		}

		//point has label
		// B - base point
		// A - additional point
		// E - special point
		public char Label
		{
			get
			{
				return label;
			}
			set
			{
				this.label = value;
			}
		}

		//bearing of the point
		public double Bearing
		{
			get
			{
				return bearing;
			}
			set
			{
				this.bearing = value;
			}
		}

		//coordinate
		public double Longitude
		{
			get
			{
				return longitude;
			}
		}

		//coordinate
		public double Latitude
		{
			get
			{
				return latitude;
			}
		}
	}
}
